%define upstream_name    Plack-Middleware-Session
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Session middleware that saves session data in the cookie
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cookie::Baker) >= 0.120.0
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.30.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Plack) >= 0.991.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This is the core session object, you probably want to look at the
Plack::Middleware::Session manpage, unless you are writing your own session
middleware component.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
# (tv) fix running tests with perl-5.26:
sed -i 's!bin/perl!bin/perl -I.!' t/*t
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Oct 05 2024 tv <tv> 0.340.0-1.mga10
+ Revision: 2103436
- update to 0.34

* Mon Mar 28 2022 umeabot <umeabot> 0.330.0-3.mga9
+ Revision: 1831015
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.330.0-2.mga8
+ Revision: 1523894
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 tv <tv> 0.330.0-1.mga7
+ Revision: 1377511
- update to 0.33

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-5.mga7
+ Revision: 1285734
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 tv <tv> 0.300.0-4.mga7
+ Revision: 1171256
- fix running tests with perl-5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-3.mga6
+ Revision: 1032191
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.300.0-2.mga6
+ Revision: 966330
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.300.0-1.mga6
+ Revision: 843475
- update to 0.30

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 742982
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 672841
- update to 0.24

* Tue Aug 12 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 661973
- update to 0.22

* Tue Oct 22 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 542282
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 497158
- update to 0.21

* Thu Jun 27 2013 shlomif <shlomif> 0.200.0-1.mga4
+ Revision: 447593
- Add BR on M-B-Tiny
- New version 0.20 + convert to Build.PL

* Wed May 29 2013 shlomif <shlomif> 0.180.0-1.mga4
+ Revision: 432383
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 371880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.150.0-1.mga3
+ Revision: 335078
- imported package perl-Plack-Middleware-Session

